import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:arbis_flutter/arbis_flutter.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get_navigation/src/root/get_material_app.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {}

  @override
  Widget build(BuildContext context) {
    return ScreenUtilInit(
      builder: (context, child) =>
          GetMaterialApp(
            home: Scaffold(
                floatingActionButton: FloatingActionButton(
                  onPressed: () {
                    ArbisFlutter.updateDialog(isPopup: true,
                        appLogoApi: "https://play-lh.googleusercontent.com/PJ2hbsbEbjNNLUbvOl6Iq55DR0fGrWzMAVeiH3xcOF0dlYKjAd8ic71Zus5tQQmxsQ=w240-h480-rw",
                        appNameApi: "Status Saver - Downloader App",
                        subtitleAppApi: "Status saver - video status downloader app is fast, efficient & lightweight status downloader.",
                        appWebsiteUrl: "https://play.google.com/store/apps/details?id=com.statussaver.whatsappstatussaver.downloader.wapp");
                  },
                ),
                appBar: AppBar(
                  title: const Text('Plugin example app'),
                ),
                body: Column(
                  children: [

                  ],
                )),
          ),
    );
  }
}
