import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'arbis_flutter_platform_interface.dart';

/// An implementation of [ArbisFlutterPlatform] that uses method channels.
class MethodChannelArbisFlutter extends ArbisFlutterPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('arbis_flutter');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
