import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'arbis_flutter_method_channel.dart';

abstract class ArbisFlutterPlatform extends PlatformInterface {
  /// Constructs a ArbisFlutterPlatform.
  ArbisFlutterPlatform() : super(token: _token);

  static final Object _token = Object();

  static ArbisFlutterPlatform _instance = MethodChannelArbisFlutter();

  /// The default instance of [ArbisFlutterPlatform] to use.
  ///
  /// Defaults to [MethodChannelArbisFlutter].
  static ArbisFlutterPlatform get instance => _instance;
  
  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [ArbisFlutterPlatform] when
  /// they register themselves.
  static set instance(ArbisFlutterPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
