import 'package:flutter_test/flutter_test.dart';
import 'package:arbis_flutter/arbis_flutter.dart';
import 'package:arbis_flutter/arbis_flutter_platform_interface.dart';
import 'package:arbis_flutter/arbis_flutter_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockArbisFlutterPlatform 
    with MockPlatformInterfaceMixin
    implements ArbisFlutterPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final ArbisFlutterPlatform initialPlatform = ArbisFlutterPlatform.instance;

  test('$MethodChannelArbisFlutter is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelArbisFlutter>());
  });

  test('getPlatformVersion', () async {
    ArbisFlutter arbisFlutterPlugin = ArbisFlutter();
    MockArbisFlutterPlatform fakePlatform = MockArbisFlutterPlatform();
    ArbisFlutterPlatform.instance = fakePlatform;
  
    expect(await arbisFlutterPlugin.getPlatformVersion(), '42');
  });
}
